--do return end

local mod_path = ModPath

Hooks:Add("MenuManagerInitialize", "agentperkdeck_initoptionsmenu", function(menu_manager)
	MenuCallbackHandler.callback_attempt_agent_acrobatics = function(self)
		if managers.player then 
			managers.player:attempt_ability_acrobatics()
		end
	end
	MenuHelper:LoadFromJsonFile(mod_path .. "menu/options.json", {}, {})

end)

--[[
scrap code related to custom keybinds
since the currently implemented method is stable but does not support a default keybind parameter

	"keybinds" : [
		{
			"keybind_id" : "agent_acrobatics_activate",
			"name" : "menu_agent_acrobatics_activate_name",
			"description" : "menu_agent_acrobatics_activate_desc",
			"script_path" : "lua/keybind_acrobatics.lua",
			"run_in_menu" : false,
			"run_in_game" : true,
			"localized" : true
		}
	],

	MenuHelper:AddKeybinding({
		id = "agent_acrobatics_activate",
		title = "menu_agent_acrobatics_activate_name",
		desc = "menu_agent_acrobatics_activate_desc",
--		connection_name = "callback_agent_acrobatics_activate",
		button = default_key,
		binding = default_key,
		callback = "callback_attempt_agent_acrobatics",
		menu_id = "blt_options",
		priority = 1,
		localized = true
	})
	BLT.Keybinds:register_keybind(BLT.Mods:GetModOwnerOfFile(mod_path),{
		
		
		
		{
			"type" : "keybind",
			"id" : "agent_acrobatics_activate",
			"title" : "menu_agent_acrobatics_activate_name",
			"description" : "menu_agent_acrobatics_activate_desc",
			"keybind_id" : "keybind_agent_acrobatics_activate",
			"run_in_game" : true,
			"run_in_menu" : false,
			"localized" : true,
			"func" : "callback_attempt_agent_acrobatics"
		}
		
local default_key = "7"
Hooks:Add("MenuManagerPopulateCustomMenus", "agentperkdeck_MenuManagerPopulateCustomMenus", function(menu_manager, nodes)

	MenuHelper:NewMenu("agent_perkdeck_menu")
	MenuHelper:AddKeybinding({
		id = "agent_acrobatics_activate",
		title = "menu_agent_acrobatics_activate_name",
		desc = "menu_agent_acrobatics_activate_desc",
--		connection_name = "callback_agent_acrobatics_activate",
		button = default_key,
		binding = default_key,
		callback = "callback_attempt_agent_acrobatics",
		menu_id = "agent_perkdeck_menu",
--		priority = 1,
		localized = true
	})
end)

	})
--]]